libebook::EBOOKMemoryStream Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKMemoryStream Class Reference

`#include <EBOOKMemoryStream.h>`

Inheritance diagram for libebook::EBOOKMemoryStream:

## Public Member Functions
| EBOOKMemoryStream ()
| EBOOKMemoryStream (const unsigned char *data, unsigned length)
| ~EBOOKMemoryStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *name) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Member Functions
| EBOOKMemoryStream (const EBOOKMemoryStream &other)
EBOOKMemoryStream & | operator= (const EBOOKMemoryStream &other)

## Private Attributes
std::unique_ptr< unsigned char[]> | m_data
const long | m_length
long | m_pos

## Constructor & Destructor Documentation

## ◆ EBOOKMemoryStream() [1/3]

libebook::EBOOKMemoryStream::EBOOKMemoryStream | ( | const EBOOKMemoryStream & | other | ) |
| private

Referenced by EBOOKMemoryStream(), and operator=().

## ◆ EBOOKMemoryStream() [2/3]

libebook::EBOOKMemoryStream::EBOOKMemoryStream | ( |  | ) |

## ◆ EBOOKMemoryStream() [3/3]

libebook::EBOOKMemoryStream::EBOOKMemoryStream | ( | const unsigned char * | data,
|  | unsigned | length )

## ◆ ~EBOOKMemoryStream()

libebook::EBOOKMemoryStream::~EBOOKMemoryStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::EBOOKMemoryStream::existsSubStream | ( | const char * | name | ) |
| override

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::EBOOKMemoryStream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::EBOOKMemoryStream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libebook::EBOOKMemoryStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libebook::EBOOKMemoryStream::isStructured | ( |  | ) |
| override

## ◆ operator=()

EBOOKMemoryStream & libebook::EBOOKMemoryStream::operator= | ( | const EBOOKMemoryStream & | other | ) |
| private

## ◆ read()

const unsigned char * libebook::EBOOKMemoryStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| override

## ◆ seek()

int libebook::EBOOKMemoryStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| override

## ◆ subStreamCount()

unsigned libebook::EBOOKMemoryStream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libebook::EBOOKMemoryStream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libebook::EBOOKMemoryStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_data

std::unique_ptr<unsigned char[]> libebook::EBOOKMemoryStream::m_data
| private

Referenced by EBOOKMemoryStream(), EBOOKMemoryStream(), and read().

## ◆ m_length

const long libebook::EBOOKMemoryStream::m_length
| private

Referenced by EBOOKMemoryStream(), EBOOKMemoryStream(), isEnd(), read(), and seek().

## ◆ m_pos

long libebook::EBOOKMemoryStream::m_pos
| private

Referenced by EBOOKMemoryStream(), EBOOKMemoryStream(), isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- EBOOKMemoryStream.h
- EBOOKMemoryStream.cpp